# Uses of Enum
org.apache.avro.Schema.Type

Packages that use Schema.Type
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of Schema.Type in org.apache.avro

Methods in org.apache.avro that return Schema.Type
Modifier and Type
Method
Description
`Schema.Type`
Schema.`getType()`
Return the type of this schema.
`static Schema.Type`
Schema.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Schema.Type[]`
Schema.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.avro with parameters of type Schema.Type
Modifier and Type
Method
Description
`static Schema`
Schema.`create(Schema.Type type)`
Create a schema for a primitive type.